import sys

# Redirigir la salida estándar para suprimir el mensaje de pygame
class NullWriter:
    def write(self, string):
        pass

# Guardar la salida estándar original
original_stdout = sys.stdout

# Suprimir la salida de pygame
sys.stdout = NullWriter()

# Importar pygame después de redirigir la salida
import pygame
import requests
import io

# Inicialización de pygame
pygame.mixer.init()

# Restaurar la salida estándar original
sys.stdout = original_stdout

# Variable para almacenar el volumen actual
volumen_actual = 50

# Reproducir un archivo local o URL
def reproducir(archivo):
    if archivo.startswith('http'):  # Si es una URL (streaming)
        # Descargar el archivo de manera streaming
        response = requests.get(archivo, stream=True)
        if response.status_code == 200:
            # Leer los datos binarios y cargarlos en pygame
            audio_data = io.BytesIO(response.content)
            pygame.mixer.music.load(audio_data)
            pygame.mixer.music.play()
        else:
            print("Error al obtener el archivo de audio.")
    else:
        pygame.mixer.music.load(archivo)
        pygame.mixer.music.play()
    
    # Ajustar el volumen
    volumen(volumen_actual)

# Ajustar el volumen de la música (de 0 a 100)
def volumen(nivel):
    global volumen_actual
    volumen_actual = nivel
    pygame.mixer.music.set_volume(nivel / 100)

# Pausar la música
def pausar():
    pygame.mixer.music.pause()

# Reanudar la música
def reanudar():
    pygame.mixer.music.unpause()
